// This application renders volumes from a CMS DDD or Geant3 rz/fz file.
// It also can display events, from a flat file.
//
// (c) J.J.Bunn, Caltech 2000,2001,2002,2003,2004.



import java.net.*;


import com.sun.j3d.utils.universe.*;
import com.sun.j3d.utils.behaviors.mouse.*;
import com.sun.j3d.utils.behaviors.picking.*;
import com.sun.j3d.utils.applet.MainFrame;
import com.sun.j3d.utils.geometry.Cylinder;
import com.sun.j3d.utils.geometry.Sphere;

import java.applet.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.awt.*;
import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.event.*;
import java.io.*;
import java.util.*;
import javax.media.j3d.*;
import javax.vecmath.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.JFrame;
import javax.swing.tree.*;

//import ncsa.j3d.ui.record.*;
//import vrml.j3d.*;


public class COJAC extends JFrame implements Runnable {


	public static void main(String argv[]) {
		COJAC app = new COJAC();
	}

	public COJAC() {

		super("The CMS Ohmygoodness Java Analysis Component (COJAC)");

		setSize(1000,700);

		addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {System.exit(0);}
        });

		start();

	}


	public void start() {


        Thread thread = new Thread(this);
        thread.setPriority(Thread.MIN_PRIORITY);
        thread.setName("COJAC");
        thread.start();

		setVisible(true);


	}

	public void run() {

		do {
			//System.out.print("!");
			try{
				Thread.sleep(100);
			} catch (Exception e) {
			}
		} while (true);

	}

}










           
